#include "traffic_agent.h"

void SignalGroup::from_setting(const libconfig::Setting& set)
{
UI::get(name,set, "name", UI::compulsory);
UI::get(detectors, set, "detectors", UI::optional);
//
// TODO make some analysis of the detectors

}

void BaseTrafficAgent::from_setting(const Setting& set)
{
    bdm::Participant::from_setting(set);
	
	UI::get(sg,set,"sg", UI::compulsory);
	UI::get(requests,set,"output",UI::compulsory);
}
